Subject: Re: [TOOLS-DEVELOPMENT] rfclint-02

From: Robert Sparks <[email-masked]>
Date: Mon, 14 Jul 2014 13:17:32 -0500

On 6/19/14, 3:37 PM, Russ Housley wrote:
> I wonder if we need to require that the tool run on Windows.  I know this is not a requirement for the RFC Editor, but the SOW talks about being useful to authors too.
Next version says:
' At a minimum, the application will run on unix-like operating systems 
(including OS/X) and on Microsoft Windows. Running on other systems, or 
being easily portable to other systems, is preferable.'

RjS
>
> Russ
>
>
> On Jun 19, 2014, at 2:30 PM, Robert Sparks wrote:
>
>> I think this addresses the comments so far.
>> What else needs to change?
>>
>> RjS
>>
>> On 6/1/14, 9:16 PM, Tony Hansen wrote:
>>> On 5/30/14, 4:44 PM, Robert Sparks wrote:
>>>> Here is an update with the comments received so far.
>>>> While this feels light, I'm not seeing an obvious next level of detail to add.
>>>> What questions would you have if you were handed this as an SoW to bid on that this doesn't answer yet?
>>> This tool does not need to run AS a web service -- it is sufficient for it to be able to be run behind a web service.
>>>
>>> I think this document should be rewritten to be of more use to IETF authors and the ADs and the IESG, and not just the RFC Editor. All of those checks for non-ascii characters, spelling, abnf, etc, are just as useful for the rest of us.
>>>
>>> Right now all of the stuff related to internet drafts is in the "it'd be nice to also support this" category. If we're going to put this out for bid, let's make certain that it provides support for the wider community. For example, make certain that the source is accessible to authors, and that it can run behind a web service.
>>>
>>>     Tony Hansen